#pragma once

#include "CoreMinimal.h"
#include "DLCCheatComponent.h"
#include "K06CheatComponent.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class THESHAPE_API UK06CheatComponent : public UDLCCheatComponent
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable, Exec)
	void DBD_K06SuperEvilWithinMode(bool on) const;

	UFUNCTION(BlueprintCallable, Exec)
	void DBD_K06ChangeMode(int32 modeIndex) const;

public:
	UK06CheatComponent();
};

FORCEINLINE uint32 GetTypeHash(const UK06CheatComponent) { return 0; }
